
=head1 NAME

Win32::GUI::Animation - Create and manipulate animation controls

=head1 DESCRIPTION

The Animation control displays an AVI animation.
To load an AVI file you can use the L<Open()|/Open> method;
you can then use L<Play()|/Play> to start the animation
(note it will start automatically with the B<-autoplay> option),
L<Stop()|/Stop> to stop it, and L<Seek()|/Seek> to position it to
a specified frame.

=for comment $Id: per_package_method_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 METHODS

L<Common methods|Win32::GUI::Reference::Methods> apply to most windows, controls and resources.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 new

B<new(PARENT, %OPTIONS)>

Creates a new Animation object;
can also be called as PARENT->AddAnimation(%OPTIONS).

Class specific B<%OPTIONS> are:

  -autoplay    => 0/1 (default 0)
    Starts playing the animation as soon as an AVI clip is loaded.
  -center      => 0/1 (default 0)
    Centers the animation in the control window.
  -transparent => 0/1 (default 0)
    Draws the animation using a transparent background.

See also the L<common options|Win32::GUI::Reference::Options>.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Close

B<Close()>

Closes an AVI clip and displays its first frame in an animation control

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Open

B<Open(FILE)>

Opens an AVI clip and displays its first frame in an animation control.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 OpenEx

B<OpenEx(FILE,[INSTANCE=NULL])>

Opens an AVI clip from a resource in a specified module and displays its first frame in an animation control.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Play

B<Play([FROM], [TO], [REPEAT])>

Plays an AVI clip in an animation control.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Seek

B<Seek(FRAME)>

Directs an animation control to display a particular frame of an AVI clip.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Stop

B<Stop()>

Stops playing an AVI clip in an animation control.




=for comment $Id: per_package_event_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 EVENTS

L<Common events|Win32::GUI::Reference::Events> apply to most windows and controls.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Start

B<Start()>

Sent when the AVI clip has started playing.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Stop

B<Stop()>

Sent when the AVI clip has stopped playing.





=for comment $Id: pod_postamble.tpl,v 1.2 2005/08/03 21:45:59 robertemay Exp $

=head1 VERSION

Documentation for Win32::GUI v1.12 created 20 Jan 2016

This document is autogenerated by the build process. Edits made here will be lost.
Edit F<docs/per_package.tpl> instead.

=head1 SUPPORT

Homepage: L<http://perl-win32-gui.sourceforge.net/>.

For further support join the users mailing list from the website
at L<http://lists.sourceforge.net/lists/listinfo/perl-win32-gui-users>.  There is a searchable list archive at L<http://sourceforge.net/p/perl-win32-gui/mailman/perl-win32-gui-users/>.

=head1 COPYRIGHT and LICENCE

Copyright (c) 1997..2016 Aldo Calpini. All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.


